Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Cloud Notification Service
    • Overview
    • Getting started with mobile push notifications
    • Getting started with in-browser push notifications
    • Getting started with SMS
    • Getting started with topics
    • Overview
    • Mobile push notifications
    • In-browser push notifications
    • SMS
    • Topics
    • Quotas and limits
    • All tools
    • AWS CLI
    • AWS SDK for C++
    • AWS SDK for Go
    • AWS SDK for Java
    • AWS SDK for JavaScript
    • AWS SDK for Kotlin
    • AWS SDK for .NET
    • AWS SDK for PHP
    • AWS SDK for Python (boto3)
  • Pricing policy
    • Overview
    • Sending a request
    • Errors
      • Create
      • GetAttributes
      • GetSmsAttributes
      • SetAttributes
      • List
      • Delete
    • Publish
  • Monitoring metrics
  • Logs Cloud Logging
  • Release notes

In this article:

  • HTTP request
  • Query parameters
  • Attributes
  • Response
  • Successful response
  • Error response
  • See also
  1. API reference
  2. SMS
  3. SetAttributes

SetSMSChannelAttributes

Written by
Yandex Cloud
Updated at April 13, 2026
  • HTTP request
    • Query parameters
    • Attributes
  • Response
    • Successful response
    • Error response
  • See also

Setting parameters for the SMS notification channel.

HTTP requestHTTP request

POST https://notifications.yandexcloud.net/

Query parametersQuery parameters

Parameter Description
Action string
Required field.
Operation type parameter.
Value: SetSMSChannelAttributes.
SMSChannelArn string
This is a required field.
SMS notification channel ID.
Example: arn:aws:sns::b1gvlrnlei4l******:sms/channelname.
Attributes.entry.N.key string
Required field.
Attribute key. N is a numeric value.
Example: Attributes.entry.1.key=Description.
Attributes.entry.N.value string
Required field.
Attribute value. N is a numeric value.
Example: Attributes.entry.1.value=Test-sms-channel.
ResponseFormat string
Response format.
The possible values are:
  • XML (default)
  • JSON.

AttributesAttributes

Attribute Description
IsDefault Specifies whether the channel is the default channel for outgoing SMS in this cloud. You can only set IsDefault for a channel in the Sandbox or Active state. Due to how Cloud Notification Service operates, this attribute cannot be provided along with other attributes.
ChannelState Channel's target state. Possible states:
  • Active: Active.
  • Disabled: Disabled.
Description Description of the SMS notification channel.
Example: Test-sms-channel.

ResponseResponse

Successful responseSuccessful response

If there are no errors, Cloud Notification Service returns the 200 HTTP code.

A successful response contains additional data in XML or JSON format depending on the specified ResponseFormat parameter.

Data schema:

XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<SetSMSChannelAttributesResponse>
    <ResponseMetadata>
  	  <RequestId>string</RequestId>
    </ResponseMetadata>
</SetSMSChannelAttributesResponse>
{
  "ResponseMetadata": {
    "RequestId": "string"
  }
}

Where RequestId is the request ID.

Error responseError response

In case of an error, Cloud Notification Service returns a message with the appropriate HTTP code and its additional description in XML or JSON format depending on the specified ResponseFormat parameter.

Data schema:

XML
JSON
<?xml version="1.0" encoding="UTF-8"?>
<ErrorResponseXML>
    <RequestId>string</RequestId>
    <Error>
  	  <Code>string</Code>
  	  <Message>string</Message>
    </Error>
</ErrorResponseXML>
{
  "ErrorResponse": {
    "RequestId": "string",
    "Error": {
      "Code": "string",
      "SubCode": "string",
      "Message": "string"
    }
  }
}

Where:

  • RequestId: Request ID.
  • Code: Error code.
  • Message: Error description.

For a list of common error codes for all actions, see Errors.

Errors specific for SetSMSChannelAttributes:

HTTP Error code Extended code Description
400 UserError InvalidSMSChannelStateTransition Unable to enter the specified channel state.
400 UserError InvalidSMSChannelStateToSetDefault In its current state, the channel cannot be set as the default channel.
400 UserError InvalidSMSChannelAttributeCombination The IsDefault attribute cannot be provided along with other attributes.

See alsoSee also

  • Yandex Cloud Notification Service HTTP API overview
  • Sending an HTTP API request to Yandex Cloud Notification Service

Was the article helpful?

Previous
GetSmsAttributes
Next
List
© 2026 Direct Cursus Technology L.L.C.